#include "UCI.hpp"
#include "ochess.hpp"
#include <wx/timer.h>

class LiveEngineDialog : public DialogLiveEngine {
  uciadapter::UCI *engine;
  std::string engine_name;
  wxTimer timer;
  std::uint32_t interval;

public:
  LiveEngineDialog(wxWindow *parent, std::string engine_name);
  ~LiveEngineDialog();
  void InitEngine();
  void TogglePauseEngine(wxCommandEvent &event);
  void OnTimerTick(wxTimerEvent &event);
  void SetFEN(std::string fen);
  void StopEngine();
  void StartEngine();
  void OnClose(wxCloseEvent &e);
};